function Dqpr= FCS(Alfa,Qbar, u1,u2)     
% Implements State-Feedback Control Laws
% u1 is the pitch state-feedback variables [q,alfa,alfa-integr]
% u2 is the lateral state-feedback variables [phi,p,r,beta,phi-integr]
global Kq Kpr

% Design Alphas: [-10, -4, +4, +10]
if     (Alfa< -5)            Ia=int8(1); Ia2=Ia;      a=1; da=0;
elseif (Alfa>=-5) & (Alfa<0) Ia=int8(2); Ia2=int8(3); a=2; da=(Alfa-5)/5;
elseif (Alfa>= 0) & (Alfa<5) Ia=int8(3); Ia2=int8(4); a=3; da=(5-Alfa)/5;
elseif (Alfa>= 5)            Ia=int8(4); Ia2=Ia;      a=4; da=0; end

% Design Qbars: [100, 250, 400]
if     (Qbar< 150)               Iq=int8(1); q=1; dQb=0;  Iq2=Iq; 
elseif (Qbar>=150) & (Qbar<300)  Iq=int8(2); q=2; dQb=(Qbar-225)/75;
                   if (dQb>=0)  Iq2=int8(3); else Iq2= int8(1); end
elseif (Qbar>=300)               Iq=int8(3); q=3; dQb=0;  Iq2=Iq; end

dq1=  Kq(:,:,Iq,Ia)*u1;  dq2= Kq(:,:,Iq,Ia2)*u1;  dq3= Kq(:,:,Iq2,Ia)*u1; 
dpr1=Kpr(:,:,Iq,Ia)*u2; dpr2=Kpr(:,:,Iq,Ia2)*u2; dpr3=Kpr(:,:,Iq2,Ia)*u2; 

dq= dq1  + (dq2 - dq1)*da  + (dq3 - dq1)*dQb*sign(dQb);
dpr=dpr1 + (dpr2-dpr1)*da  + (dpr3-dpr1)*dQb*sign(dQb);
Dqpr=[-dq*180/pi; -dpr*180/pi; a;q];
