function [Th]= Thrust(Pow,Alt,Mach)     
global At Bt Ct
% Calculates Thrust as a funct of throttle, altitude, and Mach #

H=0.0001*Alt; if (H<0) H=0.; end
I= floor(H);  if (I>=5) I=4; end
DH= H-I;
RM= 5.0*Mach;
M= floor(RM); if (M>=5) M=4; end
DM= RM-M;
CDH=1.0-DH;

S= Bt(I+1,M+1)*CDH + Bt(I+2,M+1)*DH;
T= Bt(I+1,M+2)*CDH + Bt(I+2,M+2)*DH;
TMIL= S + (T-S)*DM; 

if ( Pow < 50.0 ) 
      S= At(I+1,M+1)*CDH + At(I+2,M+1)*DH;
      T= At(I+1,M+2)*CDH + At(I+2,M+2)*DH;
      TIDL= S + (T-S)*DM;
      Th=TIDL+(TMIL-TIDL)*Pow*.02;
else
      S= Ct(I+1,M+1)*CDH + Ct(I+2,M+1)*DH;
      T= Ct(I+1,M+2)*CDH + Ct(I+2,M+2)*DH;
      TMAX= S + (T-S)*DM;
      Th=TMIL+(TMAX-TMIL)*(Pow-50.0)*.02;
end
