% Combines the separate pitch and lateral matrices Kq_ and Kpr_
% into single four-dimensional matrices Kq(:,:,:,:) and Kpr(:,:,:,:)
% as a function of dynamic pressure and alpha, and saves them in FCS_Gains.mat
clear all
load Kq_ap10_Q100  -ascii;  load Kpr_ap10_Q100  -ascii
load Kq_an10_Q100  -ascii;  load Kpr_an10_Q100  -ascii
load Kq_ap3_Q100   -ascii;  load Kpr_ap3_Q100   -ascii
load Kq_an5_Q100   -ascii;  load Kpr_an5_Q100   -ascii

load Kq_ap10_Q250  -ascii;  load Kpr_ap10_Q250  -ascii
load Kq_an10_Q250  -ascii;  load Kpr_an10_Q250  -ascii
load Kq_ap3_Q250   -ascii;  load Kpr_ap3_Q250   -ascii
load Kq_an5_Q250   -ascii;  load Kpr_an5_Q250   -ascii

load Kq_ap10_Q400  -ascii;  load Kpr_ap10_Q400  -ascii
load Kq_an10_Q400  -ascii;  load Kpr_an10_Q400  -ascii
load Kq_ap3_Q400   -ascii;  load Kpr_ap3_Q400   -ascii
load Kq_an5_Q400   -ascii;  load Kpr_an5_Q400   -ascii

Kq(:,:, 1,1)=Kq_an10_Q100(:,:);  Kpr(:,:, 1,1)=Kpr_an10_Q100(:,:);
Kq(:,:, 1,2)=Kq_an5_Q100(:,:);   Kpr(:,:, 1,2)=Kpr_an5_Q100(:,:);
Kq(:,:, 1,3)=Kq_ap3_Q100(:,:);   Kpr(:,:, 1,3)=Kpr_ap3_Q100(:,:);
Kq(:,:, 1,4)=Kq_ap10_Q100(:,:);  Kpr(:,:, 1,4)=Kpr_ap10_Q100(:,:);

Kq(:,:, 2,1)=Kq_an10_Q250(:,:);  Kpr(:,:, 2,1)=Kpr_an10_Q250(:,:);
Kq(:,:, 2,2)=Kq_an5_Q250(:,:);   Kpr(:,:, 2,2)=Kpr_an5_Q250(:,:);
Kq(:,:, 2,3)=Kq_ap3_Q250(:,:);   Kpr(:,:, 2,3)=Kpr_ap3_Q250(:,:);
Kq(:,:, 2,4)=Kq_ap10_Q250(:,:);  Kpr(:,:, 2,4)=Kpr_ap10_Q250(:,:);

Kq(:,:, 3,1)=Kq_an10_Q400(:,:);  Kpr(:,:, 3,1)=Kpr_an10_Q400(:,:);
Kq(:,:, 3,2)=Kq_an5_Q400(:,:);   Kpr(:,:, 3,2)=Kpr_an5_Q400(:,:);
Kq(:,:, 3,3)=Kq_ap3_Q400(:,:);   Kpr(:,:, 3,3)=Kpr_ap3_Q400(:,:);
Kq(:,:, 3,4)=Kq_ap10_Q400(:,:);  Kpr(:,:, 3,4)=Kpr_ap10_Q400(:,:);

save FCS_Gains.mat Kpr Kq 

