% LQR Design for the F16 Aircraft
d2r=pi/180; r2d=180/pi;
[As, Bs, Cs, Ds] = vehi_sim;                        % Load Augmented Simulation Model 
[Avp,Bvp,Cvp,Dvp]= pitch_plant;                     % Load Pitch Design Model
[Avl,Bvl,Cvl,Dvl]= lateral_plant;                   % Load Lateral Design Model 

% Pitch LQR Design Using the 6 Aero-Surfaces
[Ap4,Bp4,Cp4,Dp4]= linmod('Pdes3x');                % 4-state model {gama,q,alfa,gamint}
R=0.5;                                              % LQR Weights R=
Q=[0.02  4  4]*10; Q=diag(Q);                       % LQR Weights {q,alfa,alfint}
[Kq,s,e]=lqr(Ap4,Bp4,Q,R)                           % Kq =[0.05 0.5 0.3]*3
save Kq_ap10_Q100.mat Kq -ascii

% Convert Lateral State Vector from Body to Stability Axes, Outputs=States
[Ap2,Bp2,Cp2,Dp2]= linmod('Ldes5x');                % Add the Phi-Integral State
Al2= Cp2*Ap2*inv(Cp2); Bl2= Cp2*Bp2;                % Transform State-Vector to (p,r)_stability
Cl2= Cp2*inv(Cp2);     Dl2= Dp2;

% Lateral LQR Design                                % States: {phi,p,r,beta,phint}
R=[2,1.5]*8; R=diag(R);                            % LQR Weights R=[1,1]
Q=[1 0.01 0.01 0.02 0.2]; Q=diag(Q);               % LQR Weights Q=[1 1 1 0.04 0.04]*0.4
[Kpr,s,e]=lqr(Al2,Bl2,Q,R)                          % Perform Lateral LQR design
save Kpr_ap10_Q100.mat Kpr -ascii

% Body to Stability Transform Parameters
ge=32.174; V0=400; alfa=3; Thet0=3;
calfa=cosd(alfa); salfa=sind(alfa);