function [Api, Bpi, Cpi, Dpi]= pitch_plant
% Pitch Design Plant                                                                                  
Api= [
  -0.12414985E+01   0.88328805E+00
   0.94223459E+00  -0.13867245E+01
];

Bpi= [
  -0.36870885E+01
  -0.95922749E-01
];

Cpi= [
   0.10000000E+01   0.00000000E+00
   0.00000000E+00   0.10000000E+01
];

Dpi= [
   0.00000000E+00
   0.00000000E+00
];

%  Definition of State-Space System Variables

%  Inputs  =   1
%    1    Aero Surface No  1 Deflection    (radians)             
 
%  States  =   2
%    1    Pitch Rate        ( q -rigid)    (rad/sec)             
%    2    Angle of attack   (alfa-rigid)   (radians)             
 
%  Outputs =   2
%    1    Pitch Rate     (q-body)    (rad/sec)                   
%    2    Angle of attack, alfa, (radians)                       
