function [Api, Bpi, Cpi, Dpi]= pitch_plant
% Pitch Design Plant                                                                                  
Api= [
  -0.10520882E+01  -0.64957593E-01
   0.79519537E+00  -0.84338781E+00
];

Bpi= [
  -0.33697624E+01
  -0.10412781E+00
];

Cpi= [
   0.10000000E+01   0.00000000E+00
   0.00000000E+00   0.10000000E+01
];

Dpi= [
   0.00000000E+00
   0.00000000E+00
];

%  Definition of State-Space System Variables

%  Inputs  =   1
%    1    Aero Surface No  1 Deflection    (radians)             
 
%  States  =   2
%    1    Pitch Rate        ( q -rigid)    (rad/sec)             
%    2    Angle of attack   (alfa-rigid)   (radians)             
 
%  Outputs =   2
%    1    Pitch Rate     (q-body)    (rad/sec)                   
%    2    Angle of attack, alfa, (radians)                       
